AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
Exec Method
Exec Method (String)
Exec Method (String, String)

| AGIScript Exec Method (String, String)

Executes the given command.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected int Exec(
    	string application,
    	string options
    )

    Protected Function Exec (
    	application As String,
    	options As String
    ) As Integer

    protected:
    int Exec(
    	String^ application,
    	String^ options
    )

    member Exec :
            application : string *
            options : string -> int

#### Parameters

application
  Type: System
  String
  the name of the application to execute, for example "Dial".
options
  Type: System
  String
  the parameters to pass to the application, for example "SIP/123".

#### Return Value

Type: Int32
the return code of the application of -2 if the application was not found.
See Also

#### Reference

AGIScript Class
Exec Overload
AsterNET.FastAGI Namespace